[arch-commits] Commit in mongodb/repos (16 files)

Felix Yan fyan at archlinux.org
Thu Feb 26 16:49:26 UTC 2015


    Date: Thursday, February 26, 2015 @ 17:49:26
  Author: fyan
Revision: 128291

archrelease: copy trunk to community-testing-i686, community-testing-x86_64

Added:
  mongodb/repos/community-testing-i686/PKGBUILD
    (from rev 128289, mongodb/trunk/PKGBUILD)
  mongodb/repos/community-testing-i686/mongodb.conf
    (from rev 128289, mongodb/trunk/mongodb.conf)
  mongodb/repos/community-testing-i686/mongodb.install
    (from rev 128289, mongodb/trunk/mongodb.install)
  mongodb/repos/community-testing-i686/mongodb.service
    (from rev 128289, mongodb/trunk/mongodb.service)
  mongodb/repos/community-testing-x86_64/PKGBUILD
    (from rev 128289, mongodb/trunk/PKGBUILD)
  mongodb/repos/community-testing-x86_64/mongodb.conf
    (from rev 128289, mongodb/trunk/mongodb.conf)
  mongodb/repos/community-testing-x86_64/mongodb.install
    (from rev 128290, mongodb/trunk/mongodb.install)
  mongodb/repos/community-testing-x86_64/mongodb.service
    (from rev 128290, mongodb/trunk/mongodb.service)
Deleted:
  mongodb/repos/community-testing-i686/PKGBUILD
  mongodb/repos/community-testing-i686/mongodb.conf
  mongodb/repos/community-testing-i686/mongodb.install
  mongodb/repos/community-testing-i686/mongodb.service
  mongodb/repos/community-testing-x86_64/PKGBUILD
  mongodb/repos/community-testing-x86_64/mongodb.conf
  mongodb/repos/community-testing-x86_64/mongodb.install
  mongodb/repos/community-testing-x86_64/mongodb.service

------------------------------------------+
 /PKGBUILD                                |  190 +++++++++++++++++++++++++++++
 /mongodb.conf                            |   16 ++
 /mongodb.install                         |   64 +++++++++
 /mongodb.service                         |   20 +++
 community-testing-i686/PKGBUILD          |   95 --------------
 community-testing-i686/mongodb.conf      |    8 -
 community-testing-i686/mongodb.install   |   32 ----
 community-testing-i686/mongodb.service   |   10 -
 community-testing-x86_64/PKGBUILD        |   95 --------------
 community-testing-x86_64/mongodb.conf    |    8 -
 community-testing-x86_64/mongodb.install |   32 ----
 community-testing-x86_64/mongodb.service |   10 -
 12 files changed, 290 insertions(+), 290 deletions(-)

Deleted: community-testing-i686/PKGBUILD
===================================================================
--- community-testing-i686/PKGBUILD	2015-02-26 16:49:08 UTC (rev 128290)
+++ community-testing-i686/PKGBUILD	2015-02-26 16:49:26 UTC (rev 128291)
@@ -1,95 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: Mathias Stearn <mathias at 10gen.com>
-# Contributor: Alec Thomas
-
-pkgname=mongodb
-pkgver=2.6.8
-pkgrel=1
-pkgdesc='A high-performance, open source, schema-free document-oriented database'
-arch=('i686' 'x86_64')
-url='http://www.mongodb.org'
-license=('AGPL3')
-depends=('pcre' 'snappy' 'openssl' 'gperftools' 'libsasl' 'boost-libs') # 'libyaml' 'yaml-cpp' 'v8')
-makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'boost' 'clang')
-checkdepends=('python2-pymongo')
-optdepends=('libpcap: needed for mongosniff')
-backup=('etc/mongodb.conf')
-install=mongodb.install
-source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
-        'mongodb.conf' 'mongodb.service')
-sha512sums=('6fa69750debb40d0be4d5d057125320d97e882e30c43c664fcb6ec6a9e6a8bff5e63637fc8952a6d898556b2c2ce84254d135387dc0879bf65dbd5e91b8732ef'
-            '05dead727d3ea5fe8af1a3c3888693f6b3e2b8cb7f197a5d793352e10d2c524e96c9a5c55ad2e88c1114643a9612ec0b26a2574b48a5260a9b51ec8941461f1c'
-            '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9')
-
-prepare() {
-  cd mongodb-src-r${pkgver}
-
-  # Add missing include required for std::swap()
-  # https://github.com/mongodb/mongo/commit/2d5d662
-  if grep -q '#include <algorithm>' src/mongo/shell/linenoise_utf8.h; then
-    error '<algorithm> include has been fixed upstream; remove this local fix.'
-    return 1
-  fi
-  sed -i '1i #include <algorithm>' src/mongo/shell/linenoise_utf8.h
-}
-
-build() {
-  export SCONSFLAGS="$MAKEFLAGS"
-
-  cd mongodb-src-r${pkgver}
-
-  scons all \
-    --use-system-pcre \
-    --use-system-snappy \
-    --use-system-tcmalloc \
-    --use-sasl-client \
-    --use-system-boost \
-    --ssl \
-    --disable-warnings-as-errors \
-    --cc=clang --cxx=clang++
-    # --use-system-v8 \
-    # --use-system-yaml \
-}
-
-check() {
-  # Tests not passing
-  export SCONSFLAGS="$MAKEFLAGS"
-
-  cd mongodb-src-r${pkgver}
-
-  scons smokeAll \
-    --use-system-pcre \
-    --use-system-snappy \
-    --use-system-tcmalloc \
-    --use-sasl-client \
-    --use-system-boost \
-    --ssl \
-    --disable-warnings-as-errors \
-    --cc=clang --cxx=clang++ \
-    --smokedbprefix="$srcdir" || warning "Tests failed"
-}
-
-package() {
-  export SCONSFLAGS="$MAKEFLAGS"
-
-  cd mongodb-src-r${pkgver}
-
-  scons install \
-    --use-system-pcre \
-    --use-system-snappy \
-    --use-system-tcmalloc \
-    --use-sasl-client \
-    --use-system-boost \
-    --ssl \
-    --disable-warnings-as-errors \
-    --prefix="$pkgdir/usr" \
-    --cc=clang --cxx=clang++
-
-  install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
-  install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
-  install -dm700 "$pkgdir/var/lib/mongodb"
-  install -dm755 "$pkgdir/var/log/mongodb"
-}

Copied: mongodb/repos/community-testing-i686/PKGBUILD (from rev 128289, mongodb/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD	                        (rev 0)
+++ community-testing-i686/PKGBUILD	2015-02-26 16:49:26 UTC (rev 128291)
@@ -0,0 +1,95 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Mathias Stearn <mathias at 10gen.com>
+# Contributor: Alec Thomas
+
+pkgname=mongodb
+pkgver=2.6.8
+pkgrel=1
+pkgdesc='A high-performance, open source, schema-free document-oriented database'
+arch=('i686' 'x86_64')
+url='http://www.mongodb.org'
+license=('AGPL3')
+depends=('pcre' 'snappy' 'openssl' 'gperftools' 'libsasl' 'boost-libs') # 'libyaml' 'yaml-cpp' 'v8')
+makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'boost' 'clang')
+checkdepends=('python2-pymongo')
+optdepends=('libpcap: needed for mongosniff')
+backup=('etc/mongodb.conf')
+install=mongodb.install
+source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
+        'mongodb.conf' 'mongodb.service')
+sha512sums=('6fa69750debb40d0be4d5d057125320d97e882e30c43c664fcb6ec6a9e6a8bff5e63637fc8952a6d898556b2c2ce84254d135387dc0879bf65dbd5e91b8732ef'
+            '05dead727d3ea5fe8af1a3c3888693f6b3e2b8cb7f197a5d793352e10d2c524e96c9a5c55ad2e88c1114643a9612ec0b26a2574b48a5260a9b51ec8941461f1c'
+            '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9')
+
+prepare() {
+  cd mongodb-src-r${pkgver}
+
+  # Add missing include required for std::swap()
+  # https://github.com/mongodb/mongo/commit/2d5d662
+  if grep -q '#include <algorithm>' src/mongo/shell/linenoise_utf8.h; then
+    error '<algorithm> include has been fixed upstream; remove this local fix.'
+    return 1
+  fi
+  sed -i '1i #include <algorithm>' src/mongo/shell/linenoise_utf8.h
+}
+
+build() {
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons all \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl \
+    --disable-warnings-as-errors \
+    --cc=clang --cxx=clang++
+    # --use-system-v8 \
+    # --use-system-yaml \
+}
+
+check() {
+  # Tests not passing
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons smokeAll \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl \
+    --disable-warnings-as-errors \
+    --cc=clang --cxx=clang++ \
+    --smokedbprefix="$srcdir" || warning "Tests failed"
+}
+
+package() {
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons install \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl \
+    --disable-warnings-as-errors \
+    --prefix="$pkgdir/usr" \
+    --cc=clang --cxx=clang++
+
+  install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
+  install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
+  install -dm700 "$pkgdir/var/lib/mongodb"
+  install -dm755 "$pkgdir/var/log/mongodb"
+}

Deleted: community-testing-i686/mongodb.conf
===================================================================
--- community-testing-i686/mongodb.conf	2015-02-26 16:49:08 UTC (rev 128290)
+++ community-testing-i686/mongodb.conf	2015-02-26 16:49:26 UTC (rev 128291)
@@ -1,8 +0,0 @@
-# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
-# Run mongod --help to see a list of options
-
-bind_ip = 127.0.0.1
-quiet = true
-dbpath = /var/lib/mongodb
-logpath = /var/log/mongodb/mongod.log
-logappend = true

Copied: mongodb/repos/community-testing-i686/mongodb.conf (from rev 128289, mongodb/trunk/mongodb.conf)
===================================================================
--- community-testing-i686/mongodb.conf	                        (rev 0)
+++ community-testing-i686/mongodb.conf	2015-02-26 16:49:26 UTC (rev 128291)
@@ -0,0 +1,8 @@
+# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
+# Run mongod --help to see a list of options
+
+bind_ip = 127.0.0.1
+quiet = true
+dbpath = /var/lib/mongodb
+logpath = /var/log/mongodb/mongod.log
+logappend = true

Deleted: community-testing-i686/mongodb.install
===================================================================
--- community-testing-i686/mongodb.install	2015-02-26 16:49:08 UTC (rev 128290)
+++ community-testing-i686/mongodb.install	2015-02-26 16:49:26 UTC (rev 128291)
@@ -1,32 +0,0 @@
-# vim: syntax=sh
-
-post_install() {
-  useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
-  chown -R mongodb:daemon /var/lib/mongodb
-  chown -R mongodb:daemon /var/log/mongodb
-
-  if [ "$(uname -m)" != "x86_64" ]
-  then
-    echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
-    echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
-  fi
-}
-
-post_upgrade() {
-  chown -R mongodb:daemon /var/lib/mongodb
-  chown -R mongodb:daemon /var/log/mongodb
-
-  if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
-  then
-    # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
-    # added july 5th, 2011
-    usermod -s /bin/bash mongodb >& /dev/null
-    echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
-    echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
-    echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
-  fi
-}
-
-pre_remove() {
-  userdel mongodb
-}

Copied: mongodb/repos/community-testing-i686/mongodb.install (from rev 128289, mongodb/trunk/mongodb.install)
===================================================================
--- community-testing-i686/mongodb.install	                        (rev 0)
+++ community-testing-i686/mongodb.install	2015-02-26 16:49:26 UTC (rev 128291)
@@ -0,0 +1,32 @@
+# vim: syntax=sh
+
+post_install() {
+  useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
+  chown -R mongodb:daemon /var/lib/mongodb
+  chown -R mongodb:daemon /var/log/mongodb
+
+  if [ "$(uname -m)" != "x86_64" ]
+  then
+    echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
+    echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
+  fi
+}
+
+post_upgrade() {
+  chown -R mongodb:daemon /var/lib/mongodb
+  chown -R mongodb:daemon /var/log/mongodb
+
+  if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
+  then
+    # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
+    # added july 5th, 2011
+    usermod -s /bin/bash mongodb >& /dev/null
+    echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
+    echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
+    echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
+  fi
+}
+
+pre_remove() {
+  userdel mongodb
+}

Deleted: community-testing-i686/mongodb.service
===================================================================
--- community-testing-i686/mongodb.service	2015-02-26 16:49:08 UTC (rev 128290)
+++ community-testing-i686/mongodb.service	2015-02-26 16:49:26 UTC (rev 128291)
@@ -1,10 +0,0 @@
-[Unit]
-Description=High-performance, schema-free document-oriented database
-After=network.target
-
-[Service]
-User=mongodb
-ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
-
-[Install]
-WantedBy=multi-user.target

Copied: mongodb/repos/community-testing-i686/mongodb.service (from rev 128289, mongodb/trunk/mongodb.service)
===================================================================
--- community-testing-i686/mongodb.service	                        (rev 0)
+++ community-testing-i686/mongodb.service	2015-02-26 16:49:26 UTC (rev 128291)
@@ -0,0 +1,10 @@
+[Unit]
+Description=High-performance, schema-free document-oriented database
+After=network.target
+
+[Service]
+User=mongodb
+ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
+
+[Install]
+WantedBy=multi-user.target

Deleted: community-testing-x86_64/PKGBUILD
===================================================================
--- community-testing-x86_64/PKGBUILD	2015-02-26 16:49:08 UTC (rev 128290)
+++ community-testing-x86_64/PKGBUILD	2015-02-26 16:49:26 UTC (rev 128291)
@@ -1,95 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: Mathias Stearn <mathias at 10gen.com>
-# Contributor: Alec Thomas
-
-pkgname=mongodb
-pkgver=2.6.8
-pkgrel=1
-pkgdesc='A high-performance, open source, schema-free document-oriented database'
-arch=('i686' 'x86_64')
-url='http://www.mongodb.org'
-license=('AGPL3')
-depends=('pcre' 'snappy' 'openssl' 'gperftools' 'libsasl' 'boost-libs') # 'libyaml' 'yaml-cpp' 'v8')
-makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'boost' 'clang')
-checkdepends=('python2-pymongo')
-optdepends=('libpcap: needed for mongosniff')
-backup=('etc/mongodb.conf')
-install=mongodb.install
-source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
-        'mongodb.conf' 'mongodb.service')
-sha512sums=('6fa69750debb40d0be4d5d057125320d97e882e30c43c664fcb6ec6a9e6a8bff5e63637fc8952a6d898556b2c2ce84254d135387dc0879bf65dbd5e91b8732ef'
-            '05dead727d3ea5fe8af1a3c3888693f6b3e2b8cb7f197a5d793352e10d2c524e96c9a5c55ad2e88c1114643a9612ec0b26a2574b48a5260a9b51ec8941461f1c'
-            '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9')
-
-prepare() {
-  cd mongodb-src-r${pkgver}
-
-  # Add missing include required for std::swap()
-  # https://github.com/mongodb/mongo/commit/2d5d662
-  if grep -q '#include <algorithm>' src/mongo/shell/linenoise_utf8.h; then
-    error '<algorithm> include has been fixed upstream; remove this local fix.'
-    return 1
-  fi
-  sed -i '1i #include <algorithm>' src/mongo/shell/linenoise_utf8.h
-}
-
-build() {
-  export SCONSFLAGS="$MAKEFLAGS"
-
-  cd mongodb-src-r${pkgver}
-
-  scons all \
-    --use-system-pcre \
-    --use-system-snappy \
-    --use-system-tcmalloc \
-    --use-sasl-client \
-    --use-system-boost \
-    --ssl \
-    --disable-warnings-as-errors \
-    --cc=clang --cxx=clang++
-    # --use-system-v8 \
-    # --use-system-yaml \
-}
-
-check() {
-  # Tests not passing
-  export SCONSFLAGS="$MAKEFLAGS"
-
-  cd mongodb-src-r${pkgver}
-
-  scons smokeAll \
-    --use-system-pcre \
-    --use-system-snappy \
-    --use-system-tcmalloc \
-    --use-sasl-client \
-    --use-system-boost \
-    --ssl \
-    --disable-warnings-as-errors \
-    --cc=clang --cxx=clang++ \
-    --smokedbprefix="$srcdir" || warning "Tests failed"
-}
-
-package() {
-  export SCONSFLAGS="$MAKEFLAGS"
-
-  cd mongodb-src-r${pkgver}
-
-  scons install \
-    --use-system-pcre \
-    --use-system-snappy \
-    --use-system-tcmalloc \
-    --use-sasl-client \
-    --use-system-boost \
-    --ssl \
-    --disable-warnings-as-errors \
-    --prefix="$pkgdir/usr" \
-    --cc=clang --cxx=clang++
-
-  install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
-  install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
-  install -dm700 "$pkgdir/var/lib/mongodb"
-  install -dm755 "$pkgdir/var/log/mongodb"
-}

Copied: mongodb/repos/community-testing-x86_64/PKGBUILD (from rev 128289, mongodb/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2015-02-26 16:49:26 UTC (rev 128291)
@@ -0,0 +1,95 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Mathias Stearn <mathias at 10gen.com>
+# Contributor: Alec Thomas
+
+pkgname=mongodb
+pkgver=2.6.8
+pkgrel=1
+pkgdesc='A high-performance, open source, schema-free document-oriented database'
+arch=('i686' 'x86_64')
+url='http://www.mongodb.org'
+license=('AGPL3')
+depends=('pcre' 'snappy' 'openssl' 'gperftools' 'libsasl' 'boost-libs') # 'libyaml' 'yaml-cpp' 'v8')
+makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'boost' 'clang')
+checkdepends=('python2-pymongo')
+optdepends=('libpcap: needed for mongosniff')
+backup=('etc/mongodb.conf')
+install=mongodb.install
+source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
+        'mongodb.conf' 'mongodb.service')
+sha512sums=('6fa69750debb40d0be4d5d057125320d97e882e30c43c664fcb6ec6a9e6a8bff5e63637fc8952a6d898556b2c2ce84254d135387dc0879bf65dbd5e91b8732ef'
+            '05dead727d3ea5fe8af1a3c3888693f6b3e2b8cb7f197a5d793352e10d2c524e96c9a5c55ad2e88c1114643a9612ec0b26a2574b48a5260a9b51ec8941461f1c'
+            '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9')
+
+prepare() {
+  cd mongodb-src-r${pkgver}
+
+  # Add missing include required for std::swap()
+  # https://github.com/mongodb/mongo/commit/2d5d662
+  if grep -q '#include <algorithm>' src/mongo/shell/linenoise_utf8.h; then
+    error '<algorithm> include has been fixed upstream; remove this local fix.'
+    return 1
+  fi
+  sed -i '1i #include <algorithm>' src/mongo/shell/linenoise_utf8.h
+}
+
+build() {
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons all \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl \
+    --disable-warnings-as-errors \
+    --cc=clang --cxx=clang++
+    # --use-system-v8 \
+    # --use-system-yaml \
+}
+
+check() {
+  # Tests not passing
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons smokeAll \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl \
+    --disable-warnings-as-errors \
+    --cc=clang --cxx=clang++ \
+    --smokedbprefix="$srcdir" || warning "Tests failed"
+}
+
+package() {
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons install \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl \
+    --disable-warnings-as-errors \
+    --prefix="$pkgdir/usr" \
+    --cc=clang --cxx=clang++
+
+  install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
+  install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
+  install -dm700 "$pkgdir/var/lib/mongodb"
+  install -dm755 "$pkgdir/var/log/mongodb"
+}

Deleted: community-testing-x86_64/mongodb.conf
===================================================================
--- community-testing-x86_64/mongodb.conf	2015-02-26 16:49:08 UTC (rev 128290)
+++ community-testing-x86_64/mongodb.conf	2015-02-26 16:49:26 UTC (rev 128291)
@@ -1,8 +0,0 @@
-# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
-# Run mongod --help to see a list of options
-
-bind_ip = 127.0.0.1
-quiet = true
-dbpath = /var/lib/mongodb
-logpath = /var/log/mongodb/mongod.log
-logappend = true

Copied: mongodb/repos/community-testing-x86_64/mongodb.conf (from rev 128289, mongodb/trunk/mongodb.conf)
===================================================================
--- community-testing-x86_64/mongodb.conf	                        (rev 0)
+++ community-testing-x86_64/mongodb.conf	2015-02-26 16:49:26 UTC (rev 128291)
@@ -0,0 +1,8 @@
+# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
+# Run mongod --help to see a list of options
+
+bind_ip = 127.0.0.1
+quiet = true
+dbpath = /var/lib/mongodb
+logpath = /var/log/mongodb/mongod.log
+logappend = true

Deleted: community-testing-x86_64/mongodb.install
===================================================================
--- community-testing-x86_64/mongodb.install	2015-02-26 16:49:08 UTC (rev 128290)
+++ community-testing-x86_64/mongodb.install	2015-02-26 16:49:26 UTC (rev 128291)
@@ -1,32 +0,0 @@
-# vim: syntax=sh
-
-post_install() {
-  useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
-  chown -R mongodb:daemon /var/lib/mongodb
-  chown -R mongodb:daemon /var/log/mongodb
-
-  if [ "$(uname -m)" != "x86_64" ]
-  then
-    echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
-    echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
-  fi
-}
-
-post_upgrade() {
-  chown -R mongodb:daemon /var/lib/mongodb
-  chown -R mongodb:daemon /var/log/mongodb
-
-  if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
-  then
-    # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
-    # added july 5th, 2011
-    usermod -s /bin/bash mongodb >& /dev/null
-    echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
-    echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
-    echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
-  fi
-}
-
-pre_remove() {
-  userdel mongodb
-}

Copied: mongodb/repos/community-testing-x86_64/mongodb.install (from rev 128290, mongodb/trunk/mongodb.install)
===================================================================
--- community-testing-x86_64/mongodb.install	                        (rev 0)
+++ community-testing-x86_64/mongodb.install	2015-02-26 16:49:26 UTC (rev 128291)
@@ -0,0 +1,32 @@
+# vim: syntax=sh
+
+post_install() {
+  useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
+  chown -R mongodb:daemon /var/lib/mongodb
+  chown -R mongodb:daemon /var/log/mongodb
+
+  if [ "$(uname -m)" != "x86_64" ]
+  then
+    echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
+    echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
+  fi
+}
+
+post_upgrade() {
+  chown -R mongodb:daemon /var/lib/mongodb
+  chown -R mongodb:daemon /var/log/mongodb
+
+  if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
+  then
+    # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
+    # added july 5th, 2011
+    usermod -s /bin/bash mongodb >& /dev/null
+    echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
+    echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
+    echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
+  fi
+}
+
+pre_remove() {
+  userdel mongodb
+}

Deleted: community-testing-x86_64/mongodb.service
===================================================================
--- community-testing-x86_64/mongodb.service	2015-02-26 16:49:08 UTC (rev 128290)
+++ community-testing-x86_64/mongodb.service	2015-02-26 16:49:26 UTC (rev 128291)
@@ -1,10 +0,0 @@
-[Unit]
-Description=High-performance, schema-free document-oriented database
-After=network.target
-
-[Service]
-User=mongodb
-ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
-
-[Install]
-WantedBy=multi-user.target

Copied: mongodb/repos/community-testing-x86_64/mongodb.service (from rev 128290, mongodb/trunk/mongodb.service)
===================================================================
--- community-testing-x86_64/mongodb.service	                        (rev 0)
+++ community-testing-x86_64/mongodb.service	2015-02-26 16:49:26 UTC (rev 128291)
@@ -0,0 +1,10 @@
+[Unit]
+Description=High-performance, schema-free document-oriented database
+After=network.target
+
+[Service]
+User=mongodb
+ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
+
+[Install]
+WantedBy=multi-user.target



More information about the arch-commits mailing list